Ticket #42898

cma_get_parameter(): Turn version assert to normal check

Open Date: 2021-09-22 08:24 Last Update: 2021-10-15 13:29

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

cma_get_parameter() asserts that the version of the attribute block is 2. That should not be an assert, but proper check for compatibility. Assert 1) is not executing when built with asserts disabled 2) causes a failure like code functioned wrong when it's data version that's incompatible - we should live with that.

Ticket History (3/5 Histories)

2021-09-22 08:24 Updated by: cazfi
  • New Ticket "cma_get_parameter(): Turn version assert to normal check" created
2021-10-02 12:55 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.6 (closed)
2021-10-15 13:29 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login